Debian Wheezy


La version 6.0 de Debian est sortie le 6 février 2011, elle porte une nouvelle fois le nom d’un personnage de Toy Story : Squeeze. Squeeze est donc la version Stable de Debian

La nouvelle version Testing porte le nom de Wheezy, elle offre un système avec où l’équilibre est maintenu entre paquets récents et stabilité.

La version Unstable, réservée aux aventuriers chasseurs de bogues, continue à porter le nom du sale gosse Sid.

Squeeze Wheezy Sid

Le choix de la version se fait en configurant apt. Il suffit d’avoir le fichier /etc/apt/source.list contenant les références aux serveurs contenant chacune des versions de Debian. (Ou la même chose en plusieurs fichiers dans /etc/apt/source.list.d/ )

Voici mon source.list :

deb http://ftp.fr.debian.org/debian/ stable main contrib non-free
deb http://ftp.fr.debian.org/debian/ testing main contrib non-free
deb http://ftp.fr.debian.org/debian/ unstable main contrib non-free
deb http://ftp.fr.debian.org/debian/ experimental main contrib non-free
deb http://www.debian-multimedia.org stable main non-free
deb http://www.debian-multimedia.org testing main non-free
deb http://www.debian-multimedia.org unstable main non-free
deb http://www.debian-multimedia.org experimental main non-free

Puis dans /etc/apt/preferences, il faut indiquer le niveau de mise à jour suivant votre choix :

Package: *
Pin: release a=testing
Pin-Priority: 550

Package: *
Pin: release a=stable
Pin-Priority: 500

Package: *
Pin: release a=unstable
Pin-Priority: 33

Package: *
Pin: release a=experimental
Pin-Priority: 10

Ici clairement testing a le niveau de priorité le plus fort. La commande apt-cache policy nom_du_paquet est interessante pour observer les versions différentes et la politique choisie.

Signalons enfin que c’est dans ce fichier que l’on peut décider de modifier la politique pour un paquet, que l’on souhaite par exemple en unstable.

Il faut écrire quelque chose comme cela :

# e17 en sid sur une testing

Package: e17
Pin: release a=unstable
Pin-Priority: 600

Package: libecore-con-svn-06
Pin: release a=unstable
Pin-Priority: 600

Package: libecore-svn-06
Pin: release a=unstable
Pin-Priority: 600

Package: libeina-svn-06
Pin: release a=unstable
Pin-Priority: 600
Publié dans @ Linux. Étiquettes : , . Leave a Comment »

Laisser un commentaire

Entrez vos coordonnées ci-dessous ou cliquez sur une icône pour vous connecter:

Logo WordPress.com

Vous commentez à l'aide de votre compte WordPress.com. Déconnexion / Changer )

Image Twitter

Vous commentez à l'aide de votre compte Twitter. Déconnexion / Changer )

Photo Facebook

Vous commentez à l'aide de votre compte Facebook. Déconnexion / Changer )

Photo Google+

Vous commentez à l'aide de votre compte Google+. Déconnexion / Changer )

Connexion à %s

%d blogueurs aiment cette page :